/***************************************************************************
                          CdboConstants.h  -  description
                             -------------------
    begin                : Sun Aug 18 2002
    copyright            : (C) 2002 by Alex Podolsky
    email                : alexpod@users.sf.net
 ***************************************************************************/

/***************************************************************************

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; see the file COPYING.  If not, write to
	the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
	Boston, MA 02111-1307, USA.

***************************************************************************/

#ifndef CDBOCONSTANTS_H
#define CDBOCONSTANTS_H
 
namespace Cdbo{
	
	enum OutputMessageType {
		ErrorMessage = 0,
		ProcessMessage,
		InfoMessage,
		StatusOkMessage,
		StatusNotOkMessage,
		OverwritePrevious
	};

	enum ISOImageType {
		LinuxISO = 0,
		LinWinISO,
		CustomISO
	};

	enum OutputSchemaType {
		StandartOutput = 0,
		QuiteOutput,
		CustomOutput
	};

	enum SessionType {
		FirstSession = 0,
		MiddleSession,
		FinalSession,
		InvalidSession
	};

	enum MediaStatus{
		MediaTrayIsOpen = 0,
		MediaUnknown,
		MediaUnmounted,
		MediaMounted,
		MediaAudio
	};
	
	enum MediaType{
		MediaTypeUnknown = 0,
		MediaTypeAudio,
		MediaTypeData,
		MediaTypeMixed
	};

};

#endif

